# Task Plan Template

**CRITICAL: This plan is your ONLY memory. If it's not in this plan, it didn't happen.**

## Context

### Objective
[Clear, specific description of what needs to be accomplished]

### Current State
[Where we are now - branch, files, dependencies]

### Success Criteria
[How we know when the task is complete]

## Status Legend
- 📝 TODO: Not started
- 🔄 IN_PROGRESS: Currently working (max 1 at a time)
- ✅ DONE: Completed successfully
- ❌ BLOCKED: Cannot proceed
- 🔍 INVESTIGATING: Researching/debugging

## Steps

### Step 1: [Title]
**Status:** 📝 TODO
**Description:** [What this step accomplishes]
**Actions:**
```bash
# Specific commands to run
```
**Result:** [To be filled when complete]

### Step 2: [Title]
**Status:** 📝 TODO
**Description:** [What this step accomplishes]
**Actions:**
```bash
# Specific commands to run
```
**Result:** [To be filled when complete]

## Quick Reference

### Key Commands
```bash
# Project-specific commands
./scripts/ci-quick.sh     # Fast validation
./scripts/ci-local.sh     # Full CI
```

### Important Paths
- Source: `src/louieai/`
- Tests: `tests/`
- Docs: `docs/`

## Rules

1. **NEVER LEAVE THIS PLAN** - All work follows this plan
2. **ONE STEP AT A TIME** - Only one IN_PROGRESS step allowed
3. **UPDATE IMMEDIATELY** - Record results before moving on
4. **RELOAD BEFORE ACTION** - Always re-read plan before each step
5. **COMPACT WHEN NEEDED** - Archive completed sections if too long

## Archived Steps
<!-- Move completed steps here when plan gets too long -->

---
*Plan created: [date]*
*Last updated: [date]*